unit xl_const;

interface

var
{ variable used to hold the 'paymodeller beta v1.0' text, or whatever the version is }
{ set in the initialization }
  xlAuthor :string;

{ constant declarations used by the TExcelSheet object }
const
  xlExcelVersion = $04;    { $08 = BIFF 5/7 }
  xlReserved     = $0000;  { Used for Reserved ZERO fields }

{ Define constant record ID's }
  xlBOF              = $0009;
  xlWriteAccess      = $005c;
  xlIndex            = $020b;
  xlCodePage         = $0042;
  xlCalcCount        = $000c;
  xlCalcMode         = $000d;
  xlDelta            = $0010;
  xlIteration        = $0011;
  xlPrintHeaders     = $002a;
  xlPrintGridLines   = $002b;
  xlGridSet          = $0082;
  xlDefRowHeight     = $0225;
  xlFont             = $0231;
  xlHeader           = $0014;
  xlFooter           = $0015;
  xlHCentering       = $0083;
  xlVCentering       = $0084;
  xlLeftMargin       = $0026;
  xlRightMargin      = $0027;
  xlTopMargin        = $0028;
  xlBottomMargin     = $0029;
  xlSetup            = $00a1;
  xlFnGroupCount     = $009c;
  xlFormat           = $041e;
  xlXF               = $0443; { $00e0 }
  xlStyle            = $0293;
  xlDimensions       = $0200;
  xlDefColWidth      = $0055;
  xlRefMode          = $000f;

  xlColInfo          = $007d;
  xlRow              = $0208;
  xlLabel            = $0204;
  xlNumber           = $0203;
  xlBlank            = $0201;
  xlDBCell           = $00D7;

  xlWindow1          = $003d;
  xlWindow2          = $023e;
  xlEOF              = $000a;

  xlGuts             = $0080;
  xlWSBool           = $0081;
  xlSaveRecalc       = $005f;
  xlProtect          = $0012;
  xlBackup           = $0040;
  xlHideObj          = $008d;
  xlBookBool         = $00da;
  xlWindowProtect    = $0019;
  xlCountry          = $008c;
  xlSelection        = $001d;
  xlRGCW             = $00ab;
  xlWinprot          = $0019;
  xlName             = $0218;    
  xlBuiltInFormatCount = $0056;

{ cpConstants for the ExcelSheet codepage  }
  cpAnsi = $04e4;           { Windows ANSI }
  cpMac = $8000;            { Apple Mac }
  cpMultiPlan = $01b5;      { Multiplan }

{ ptgConstants used by the xlFormulas }
  ptgExp = $01;
  ptgTbl = $02;
  ptgAdd = $03;
  ptgSub = $04;
  ptgMul = $05;
  ptgDiv = $06;
  ptgPower = $07;
  ptgConcat = $08;
  ptgLT = $09;
  ptgLE = $0a;
  ptgEQ = $0b;
  ptgGE = $0c;
  ptgGT = $0d;
  ptgNE = $0e;
  ptgIsect = $0f;
  ptgUnion = $10;
  ptgRange = $11;
  ptgUplus = $12;
  ptgUminus = $13;
  ptgPercent = $14;
  ptgParen = $15;
  ptgMissArg = $16;
  ptgStr = $17;
  ptgAttr = $19;
  ptgSheet = $1a;
  ptgEndSheet = $1b;
  ptgErr = $1c;
  ptgBool = $1d;
  ptgInt = $1e;
  ptgNum = $1f;
  ptgArray = $20;
  ptgFunc = $21;
  ptgFuncVar = $22;

  xlNORMAL_XF = $0f;
  xlBOLD_XF = $15;

implementation

initialization
  xlAuthor := 'Paymodeller for Windows'; 

end.
